Page MenuHomePhabricator

http://tools.wikimedia.pl/~odder add to whitelist
Closed, ResolvedPublic

Description

Author: russavia.wikipedia

Description:
Please add http://tools.wikimedia.pl/~odder for https://commons.wikimedia.org/wiki/Commons:Upload_tools/wgCopyUploadsDomains so that we can upload files by URL from Odder's account. Thanks


Version: unspecified
Severity: enhancement

Details

Reference
bz72897

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:59 AM
bzimport set Reference to bz72897.
bzimport created this task.Nov 3 2014, 10:23 AM

For simplicity I suggest to add the whole http://tools.wikimedia.pl/ instead.

gerritadmin wrote:

Change 170740 had a related patch set uploaded by Dereckson:
Adding tools.wikimedia.pl to Commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/170740

gerritadmin wrote:

Change 170740 merged by jenkins-bot:
Adding tools.wikimedia.pl to Commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/170740

saper added a comment.Nov 9 2014, 2:30 PM

To test for this on Commons, one needs to be in "image reviewers" group.

As a tools.wikimedia.pl admin I can confirm the request actually hits the server:

tools.wikimedia.pl some.wmf.ip.addr - - [09/Nov/2014:15:27:01 +0100] "GET /~odder/whitehouse/41d5129de542285b6c62.webm HTTP/1.1" 200 932365538 "-" "MediaWiki/1.25wmf6"

but one gets "403 Permission denied" displayed in red above the upload form

saper added a comment.Nov 9 2014, 5:06 PM

filed bug 73200 with more details

hoo added a comment.Nov 9 2014, 5:25 PM

The domain is whitelisted, so this bug is resolved.